package com.ijinshan.ShouJiKongService.apppromotion.download;

import com.ijinshan.ShouJiKongService.apppromotion.download.DownloadBean;
import com.ijinshan.ShouJiKongService.apppromotion.download.ErrorDispatchResult;

interface IDownloadCallback {
    
    void onStart(in DownloadBean bean);
    
    void onRestoreDownload(in DownloadBean bean);
	
	void onWait(in DownloadBean bean);
	
	void onUpdate(in DownloadBean bean);
	
	void onComplete(in DownloadBean bean);
	
	void onFail(in DownloadBean bean);
	
	void onResume(in DownloadBean bean);
	
	void onStop(in DownloadBean bean);
	
	void onCancel(in DownloadBean bean);
	
	void onDestroy(in DownloadBean bean);
	
	void onConnectionSuccess(in DownloadBean bean);
	
	void onException(in DownloadBean bean, int error, out ErrorDispatchResult ret);
	
	long getId();
}