package com.ijinshan.ShouJiKongService.kmq.server;

import com.ijinshan.ShouJiKongService.kmq.server.IRecvCallback;

interface IKmqServer {
	boolean allowReceiveFiles();
	boolean denyReceiveFiles();
	boolean stopReceiveFiles(boolean forTimeOut);
	
	void addCallBack(IRecvCallback callback);
	void removeCallBack(IRecvCallback callback);
	
	void resetCancelFlag();
	
	void resetReceivingState();
	
	boolean isReceivingFiles();
	
	void setFgHasStartReceiveFiles(boolean hasStart);
	
	boolean isFgHasStartReceiveFiles();
}
