package com.ijinshan.ShouJiKongService.apppromotion.download;

import java.util.List;

import com.ijinshan.ShouJiKongService.apppromotion.download.IDownloadCallback;
import com.ijinshan.ShouJiKongService.apppromotion.download.DownloadBean;

interface IDownloadService {
	boolean addDownloadBean(in DownloadBean bean);
	void addDownloadBeanImpl(long taskId);
	boolean deleteTaskById(long taskId);
	boolean deleteTaskByList(in List list);
	boolean pauseTaskById(long taskId);	
	boolean continueTaskById(long taskId);
	boolean pauseOrContinueTask(long taskId);
	DownloadBean getUtilsDownloadBean(long taskId);
	long addDownloadTaskListener(long id, IDownloadCallback instance);
	void removeDownloadTaskListener(long id, IDownloadCallback instance);
	
	Map getDownloadConcurrentHashMap();
	List getDownloadingTaskSortByTime();
	
	List getDownloadCompleteList();
	List getCompleteIdsByPkgName(String packageName);
	void removeDownloadCompleteItem(long taskId);
	
	void addInstalledPackage(String packageName);
	List getInstalledTaskList();
}