package com.ijinshan.ShouJiKongService.kmq.server;

import com.ijinshan.ShouJiKongService.kmq.bean.RequestStartTransferBean;
import com.ijinshan.ShouJiKongService.kmq.bean.RequestTransferFileBean;

interface IRecvCallback {
	// 开始传输
	void onStartTransfer(out RequestStartTransferBean request);

	// 传输进度
	void onTransferUpdate(
		String serviceName, 
		int type, 
		String filePath, 
		long transferedSize, 
		long totalSize);
	
	// 额外信息
	void onTransferExInfo(
		String serviceName, 
		String filePath, 
		String exInfo);
	
	// 传输结束
	void onEndTransfer(
		String devName, 
		String devIdentify, 
		int numOfFile, 
		int numOfDone, 
		int numOfImage, 
		int numOfVideo, 
		long costTime,
		long totalSize, 
		long transferedSize, 
		String thumbFile,
		boolean cancel);
		
	void onClientCancelTransfer(
		String devIdentify
	);
	
	void onCheckTransferFile(String filePath, out RequestTransferFileBean request);
	
	void onIgnoreTransferFile(
		String devName, 
		String devIdentify,
		int fileIndex,
		String filePath,
		String fileType,
		long fileSize
	);
}
